<?php

include("../../DMMYSQLG.php");

$idPedido = $_POST["idPedido"];

$cantidad = mysqli_query($con ," SELECT COUNT(id) AS can FROM det_pedidosH WHERE id_pedido = $idPedido ");
while ($fila = mysqli_fetch_assoc($cantidad)) {
	$numeroP = $fila['can'];
}

$cantidadSurtidos = mysqli_query($con ," SELECT COUNT(id) AS can2 FROM det_pedidosH WHERE status = 1 AND id_pedido = $idPedido ");
while ($row = mysqli_fetch_assoc($cantidadSurtidos)) {
	$surtidos = $row['can2'];
}

$nuevas = mysqli_query($con ," SELECT COUNT(id) AS can3 FROM det_pedidosH WHERE status = 0 AND id_pedido = $idPedido ");
while ($row = mysqli_fetch_assoc($nuevas)) {
	$surtidoParcial = $row['can3'];
}

$merma = mysqli_query($con ,"SELECT COUNT(id) AS can4 FROM det_pedidosH WHERE merma = 0 AND id_pedido = $idPedido");
while ($row = mysqli_fetch_assoc($merma)) {
	$merma2 = $row['can4'];
}


if ($numeroP == $surtidos ) {
    $status = 2;
    
}elseif($surtidoParcial == $numeroP && $merma2 == $numeroP  ) {
         $status = 1;
}elseif($merma2 > 0){
     $status = 3;
}else{
     $status = 3;
}
     

$resultado = mysqli_query($con ," UPDATE pedidosH SET status = $status WHERE id = $idPedido");
if ($resultado) {
	die(json_encode(array('mensaje'=> "Modificado status" )));
         mysqli_close($con);
} else {
	die(json_encode(array('mensaje'=>  mysqli_error($con) )));   
}


